Loading...
Searching...
No Matches
dolfin::UnitDiscMesh Class Reference

A unit disc mesh in 2D or 3D geometry. More...

`#include <UnitDiscMesh.h>`

## Static Public Member Functions

static Mesh | create (MPI_Comm comm, std::size_t n, std::size_t degree, std::size_t gdim)

## Detailed Description

A unit disc mesh in 2D or 3D geometry.

## Member Function Documentation

## create()

Mesh dolfin::UnitDiscMesh::create | ( | MPI_Comm | comm,
|  | std::size_t | n,
|  | std::size_t | degree,
|  | std::size_t | gdim )

inline static

Create a unit disc mesh in 2D or 3D geometry with n steps, and given degree polynomial mesh

The documentation for this class was generated from the following files:

- /build/dolfin-wwk1CC/dolfin-2019.2.0~legacy20240219.1c52e83/dolfin/generation/UnitDiscMesh.h
- /build/dolfin-wwk1CC/dolfin-2019.2.0~legacy20240219.1c52e83/dolfin/generation/UnitDiscMesh.cpp